<?php
class SerializableCart extends AbstractCart {
		
	protected function __construct() {
		parent::__construct();
	}
	
	static public function &getACart() {
		return parent::getACart(__CLASS__);
	} 
		
	static function loadCart($file) {
		if (file_exists($file))
			if (($serializedData = file_get_contents($file)) !== FALSE)
				return unserialize($serializedData);
		return null;
	}
	
	static function saveCart($file, &$cart) {
		$dir = dirname($file);
		if (is_writable($dir)) {
			$serializedData = serialize($cart);
			if (file_put_contents($file, $serializedData) !== FALSE)
				return true;
		}
		return false;
	}

}
?>