<?php
// knihovny
require_once 'simpletest/unit_tester.php';
require_once 'simpletest/mock_objects.php';
require_once 'simpletest/collector.php';
require_once 'simpletest/default_reporter.php';
require_once 'BetterHtmlReporter.php';

// autoload funkce pro projekt cart
function __autoload($className) {
	// ze jmena tridy musime nejak udelat cestu k souboru, ktery se ma nacist
	require_once("../cart/classes/$className.php");
}

// definujeme test suite
class CartTestSuite extends TestSuite {
    function __construct() {
    		// jmeno
        $this->TestSuite('Cart Test Suite');
        // sady testu
        $this->addFile('CartInstanceTestCase.php');
        $this->addFile('CartContentsTestCase.php');
    }
}

// vytvorime instanci
$suite = new CartTestSuite;
// spustime
$suite->run(new BetterHtmlReporter());
?>